/* Responsive */
@media (max-width: 768px) {
    .nav-links {
        display: none;
    }

    .mobile-toggle {
        display: flex;
    }

    .about-container {
        grid-template-columns: 1fr;
        gap: 3rem;
    }

    .cards-grid {
        grid-template-columns: 1fr;
    }

    .impression-grid {
        grid-template-columns: 1fr 1fr;
    }

    .impression-img {
        max-height: 660px;
    }

    .impression-img:nth-child(1) {
        order: 1;
    }

    .impression-img:nth-child(2) {
        order: 3;
        grid-column: 1 / -1;
    }

    .impression-img:nth-child(3) {
        order: 2;
    }

    @media (max-width: 768px) {
        .honorar-desktop { display: none; }
        .honorar-mobile  { display: flex; }
    }
}
